org.jfree.data.xy

## Interface OHLCDataset

All Superinterfaces:
  Dataset, SeriesDataset, XYDataset

All Known Implementing Classes:
  CombinedDataset, DefaultHighLowDataset, DefaultOHLCDataset, OHLCSeriesCollection, SubSeriesDataset

    public interface OHLCDataset
    extends XYDataset

An interface that defines data in the form of (x, high, low, open, close) tuples.

### Method Summary

Methods
`java.lang.Number` `getClose(int series, int item)` Returns the y-value for the specified series and item.
`double` `getCloseValue(int series, int item)` Returns the close-value (as a double primitive) for an item within a series.
`java.lang.Number` `getHigh(int series, int item)` Returns the high-value for the specified series and item.
`double` `getHighValue(int series, int item)` Returns the high-value (as a double primitive) for an item within a series.
`java.lang.Number` `getLow(int series, int item)` Returns the low-value for the specified series and item.
`double` `getLowValue(int series, int item)` Returns the low-value (as a double primitive) for an item within a series.
`java.lang.Number` `getOpen(int series, int item)` Returns the open-value for the specified series and item.
`double` `getOpenValue(int series, int item)` Returns the open-value (as a double primitive) for an item within a series.
`java.lang.Number` `getVolume(int series, int item)` Returns the volume for the specified series and item.
`double` `getVolumeValue(int series, int item)` Returns the volume-value (as a double primitive) for an item within a series.

### Methods inherited from interface org.jfree.data.xy.XYDataset

`getDomainOrder, getItemCount, getX, getXValue, getY, getYValue`

### Methods inherited from interface org.jfree.data.general.SeriesDataset

`getSeriesCount, getSeriesKey, indexOf`

### Methods inherited from interface org.jfree.data.general.Dataset

`addChangeListener, getGroup, removeChangeListener, setGroup`

### Method Detail

#### getHigh

    java.lang.Number getHigh(int series,
                           int item)

Returns the high-value for the specified series and item.

Parameters:
  `series` - the series (zero-based index).
  `item` - the item (zero-based index).
Returns:
  The value.

#### getHighValue

    double getHighValue(int series,
                      int item)

Returns the high-value (as a double primitive) for an item within a series.

Parameters:
  `series` - the series (zero-based index).
  `item` - the item (zero-based index).
Returns:
  The high-value.

#### getLow

    java.lang.Number getLow(int series,
                          int item)

Returns the low-value for the specified series and item.

Parameters:
  `series` - the series (zero-based index).
  `item` - the item (zero-based index).
Returns:
  The value.

#### getLowValue

    double getLowValue(int series,
                     int item)

Returns the low-value (as a double primitive) for an item within a series.

Parameters:
  `series` - the series (zero-based index).
  `item` - the item (zero-based index).
Returns:
  The low-value.

#### getOpen

    java.lang.Number getOpen(int series,
                           int item)

Returns the open-value for the specified series and item.

Parameters:
  `series` - the series (zero-based index).
  `item` - the item (zero-based index).
Returns:
  The value.

#### getOpenValue

    double getOpenValue(int series,
                      int item)

Returns the open-value (as a double primitive) for an item within a series.

Parameters:
  `series` - the series (zero-based index).
  `item` - the item (zero-based index).
Returns:
  The open-value.

#### getClose

    java.lang.Number getClose(int series,
                            int item)

Returns the y-value for the specified series and item.

Parameters:
  `series` - the series (zero-based index).
  `item` - the item (zero-based index).
Returns:
  The value.

#### getCloseValue

    double getCloseValue(int series,
                       int item)

Returns the close-value (as a double primitive) for an item within a series.

Parameters:
  `series` - the series (zero-based index).
  `item` - the item (zero-based index).
Returns:
  The close-value.

#### getVolume

    java.lang.Number getVolume(int series,
                             int item)

Returns the volume for the specified series and item.

Parameters:
  `series` - the series (zero-based index).
  `item` - the item (zero-based index).
Returns:
  The value.

#### getVolumeValue

    double getVolumeValue(int series,
                        int item)

Returns the volume-value (as a double primitive) for an item within a series.

Parameters:
  `series` - the series (zero-based index).
  `item` - the item (zero-based index).
Returns:
  The volume-value.